/*********************************************************/
/* This source code copyright (c) 1991-2001, Aaron Giles */
/* See the Read Me file for licensing information.       */
/* Contact email: mac@aarongiles.com                     */
/*********************************************************/

#ifndef __JPEG__
#define __JPEG__

#include <Files.h>
#include <ImageCompression.h>
#include <QDOffscreen.h>
#include <QuickDraw.h>
#include <Types.h>

#include "JPEGViewTypes.h"

extern Boolean VerifyJPEGData(uchar *theData, long theSize);
extern Boolean idJPEG(uchar *theData, long theSize, short refNum, FSSpec *theSpec);
extern OSErr OpenJPEG(ImageHandle theImage);
extern OSErr DrawJPEG(Handle theHandle, JVDrawParamsHandle theParams);
extern OSErr FixJPEG(ImageHandle theImage, Handle *finalData, Boolean palette);
extern OSErr SaveJPEG(FSSpec *theSpec, Handle theHandle, GWorldPtr thePreview,
			Rect *theRect, Handle privates);
extern void ExtractComments(Ptr theJPEG, long origLen, Handle *theComments);
extern Handle UnwrapJPEG(Handle srcHandle);
extern Handle WrapJPEG(Handle srcHandle, short depth);

#endif
