/*********************************************************/
/* This source code copyright (c) 1991-2001, Aaron Giles */
/* See the Read Me file for licensing information.       */
/* Contact email: mac@aarongiles.com                     */
/*********************************************************/

#ifndef __MONITORUTILS__
#define __MONITORUTILS__

void MonitorInit(void);
pascal void AddDevice(short depth, short deviceFlags, GDHandle targetDevice, 
	MonitorHandle *theMonitor);
MonitorHandle NewMonitor(GDHandle theDevice);
MonitorHandle MonitorChanged(void);
void SetUpDevices(void);
void ResetDevices(void);
void ResetColors(void);
void FullScreen(MonitorHandle theMonitor);
void NormalScreen(MonitorHandle theMonitor);
void NudgeWindoids(void);
void UnhideMenuBar(void);
void RehideMenuBar(void);
WindowPtr FrontWindowRgn(RgnHandle theRgn);
RgnHandle GetMenuRgn(void);
void GetActiveRect(MonitorHandle theMonitor, Rect *theRect);
void GetMinMaxMonitor(ImageHandle theImage);
MonitorHandle GetDeepMonitor(Boolean pickColor);
MonitorHandle GetBigMonitor(Boolean pickColor);
MonitorHandle GetImageMonitor(ImageHandle theImage);
MonitorHandle GetMostDevice(Rect *theRect);
#define PixMapDepth(pm) ((*(pm))->pixelSize)
#define MonitorDepth(mon) PixMapDepth((*(*mon)->device)->gdPMap)
#define IsColorDevice(device) TestDeviceAttribute(device, gdDevType)

#endif
