/*********************************************************/
/* This source code copyright (c) 1991-2001, Aaron Giles */
/* See the Read Me file for licensing information.       */
/* Contact email: mac@aarongiles.com                     */
/*********************************************************/

#ifndef __SAVEOPEN__
#define __SAVEOPEN__

enum {
	kCropNothing = 0,
	kCropIcon = 1,
	kCropImage = 2
};

OSErr DoSaveDocument(ImageHandle theImage, FSSpec *theSpec, OSType theType, Boolean preview, 
	Boolean palette, Boolean icons, short cropWhat);
OSErr DoOpenDocument(FSSpec *theFile, Boolean first, DescType openScreen, DescType openFull,
	Boolean autoExpand, Boolean openVisible, DescType openPalette, DescType drawQuality,
	Boolean openBitmaps, Boolean autoComments, Boolean fixTypes, Boolean fixCreator);
OSErr ReadFile(ImageHandle theImage, Boolean fixTypes, Boolean fixCreator);
short IDImage(short theFile, FSSpec *theSpec);
OSErr InitImage(ImageHandle theImage, DescType openScreen, DescType openFull, 
	DescType drawQuality, Boolean visible);
extern OSErr DefaultLoad(short theFile, ImageHandle theImage);
extern OSErr DefaultSave(FSSpec *theSpec, Handle theHandle, GWorldPtr thePreview, 
			Rect *theRect, OSType theType);
Boolean UseFullScreen(ImageHandle theImage, DescType openFull, Boolean visible);
OSErr PickFirstPalette(ImageHandle theImage, DescType openPalette);
OSErr RenderOffscreen(ImageHandle theImage, Boolean openBitmaps);

#endif
