/*********************************************************/
/* This source code copyright (c) 1991-2001, Aaron Giles */
/* See the Read Me file for licensing information.       */
/* Contact email: mac@aarongiles.com                     */
/*********************************************************/

#ifndef __STANDARDFOLDER__
#define __STANDARDFOLDER__

/*
 * sFolder = Standard get folder structure [SFData, SFDataPtr]
 */

typedef struct SFData
{
	StandardFileReply *replyPtr;
	FSSpec oldSelection, origSelection;
} SFData, *SFDataPtr;

Boolean StandardGetFolder(FSSpec *theSpec);
pascal Boolean StdFolderFilter(CInfoPBPtr pb, long refCon);
pascal short StdFolderHook(short item, DialogPtr theDialog, Ptr userData);
void SetSelectButtonName(StringPtr selName, Boolean hilited, DialogPtr theDialog);
OSErr MakeCanonFSSpec(FSSpec *theSpec);
OSErr GetDeskFolderSpec(FSSpec *theSpec, short vRefNum);
Boolean ShouldHiliteSelect(FSSpec *theSpec);
extern Boolean SameFile(FSSpec *file1, FSSpec *file2);

#endif
