// *****************************************************************************
//
//	InfinityWDEF.r -- Rez code to support building a Fat or PPC-only version
//
// *****************************************************************************
#include "MixedMode.r"

// -----------------------------------------------------------------------------
#ifdef POWER_PC_ONLY

	type 'WDEF' as 'rdes';
	
	resource 'WDEF' (128) {
		0x00003BB0,										// PowerPC ProcInfo
		$$Resource("InfinityWDEF.rsrc", 'pCod', 128)	// Specify name, type, and ID of resource
														//   containing a pef container
	};

// -----------------------------------------------------------------------------
#else

	type 'WDEF' as 'sdes';
	
	resource 'WDEF' (128) {
		0x00003BB0,										// 68K ProcInfo
		0x00003BB0,										// PowerPC ProcInfo
		$$Resource("InfinityWDEF.rsrc", 'oCod', 128),	// name, type, and ID of rsrc containing 68k code
		$$Resource("InfinityWDEF.rsrc", 'pCod', 128)	// name, type, and ID of rsrc containing ppc code
	};
	
// -----------------------------------------------------------------------------
#endif