/*********************************************************/
/* This source code copyright (c) 1991-2001, Aaron Giles */
/* See the Read Me file for licensing information.       */
/* Contact email: mac@aarongiles.com                     */
/*********************************************************/

// *****************************************************************************
//
//	JFIFPreview.fat.r -- Rez code to support building a Fat or PPC-only version
//
// *****************************************************************************
#include "MixedMode.r"

// -----------------------------------------------------------------------------
#ifdef POWER_PC_ONLY

	type 'pnot' as 'rdes';
	
	resource 'pnot' (4213) {
		0x000003F0,										// PowerPC ProcInfo
		$$Resource("JFIFPreview.rsrc", 'pCod', 4213)	// Specify name, type, and ID of resource
														//   containing a pef container
	};

// -----------------------------------------------------------------------------
#else

	type 'pnot' as 'sdes';
	
	resource 'pnot' (4213) {
		0x000003F0,										// 68K ProcInfo
		0x000003F0,										// PowerPC ProcInfo
		$$Resource("JFIFPreview.rsrc", 'oCod', 4213),	// name, type, and ID of rsrc containing 68k code
		$$Resource("JFIFPreview.rsrc", 'pCod', 4213)	// name, type, and ID of rsrc containing ppc code
	};
	
// -----------------------------------------------------------------------------
#endif