/*********************************************************/
/* This source code copyright (c) 1991-2001, Aaron Giles */
/* See the Read Me file for licensing information.       */
/* Contact email: mac@aarongiles.com                     */
/*********************************************************/

#ifndef __GLOBALS__
#define __GLOBALS__

#include <Dialogs.h>
#include <ImageCompression.h>
#include <Menus.h>
#include <Palettes.h>
#include <Printing.h>
#include <QDOffscreen.h>
#include <QuickDraw.h>
#include <Retrace.h>

#include "JPEGViewTypes.h"
#include "Preferences.h"
#include "SlideShow.h"

extern AEIdleUPP gAEIdleProc;
extern ICMProgressUPP gGenericProgress, gSlideProgress, gDrawProgress;
extern UserItemUPP gOutlineOK, gPopUpMenuBox, gLineItem;
extern ModalFilterUPP gGenericFilter;
extern ModalFilterYDUPP gOpenSaveModalFilter;

#if defined(powerc) || defined(__powerc)
extern QDGlobals qd;
#endif

extern NMRec gTheNotification;
extern THPrint gPrintRecord;
extern Boolean gInAppleEvent, gInBackground, gDone, gMenuVisible, gMenuEnabled, 
	gCommentsOpen, gGetAbout, gHidden, gScreenSaver, gSlideFolderValid, gFoundOSL,
	gDragMgrPresent, gHelpFound;
extern PrefsData gThePrefs;
extern SlideOptionsHandle gSlideOptions;
extern SlideOptions gDefaultSlideOptions;
extern OSType gImageType[kFileFormats];
extern ImageFormatPtr gFormat[kFileFormats];
extern ImageFormat gPICTFormat;
extern RGBColor gBlack, gWhite, gFGrey;
extern ImageHandle gImageRoot, gDrawing;
extern MonitorHandle gMainMonitor;
extern MenuHandle gAppleMenu;
extern CursHandle gCross, gHand, gSize;
extern PaletteHandle gColorPalette[], gGreyPalette[];
extern DialogRecord *gPortPool;
extern GWorldPtr gGenericGWorld, gPreviewGWorld, gIconGWorld;
extern CodecInfo gJPEGInfo;
extern PrefsData gOldPrefs;
extern StringPtr gString[kNumStrings], gNullString;
extern NestedProgress gDummyProg;
extern Point gScreenSaverPoint;
extern Handle gIconSuite;
extern long gQTVersion, gBadWindowID, gMemSlop;
extern short gMenuHeight, gTitleBarHeight, gIntError, gPendingButton, gHelpItem;
extern short *gErrTable;
extern uchar *gScaleTable, gThousandsSep, gDecimal, gListSep;
extern char gSlideShow;

#endif
