/*********************************************************/
/* This source code copyright (c) 1991-2001, Aaron Giles */
/* See the Read Me file for licensing information.       */
/* Contact email: mac@aarongiles.com                     */
/*********************************************************/

#ifndef __WINDOWUTILS__
#define __WINDOWUTILS__

void SaveWindowPosition(DialogPtr theDialog, Rect *position);
void PlaceWindow(WindowPtr theWindow, Rect *theRect, Point defaultLoc);
void ChangeActive(WindowPtr theWindow);
OSErr DoCloneWindow(WindowPtr theWindow, WindowPtr behindWindow, WindowPtr *newWindow);
OSErr DoCloseWindow(WindowPtr theWindow, Boolean restore);
OSErr DoCreateWindow(DescType theType, WindowPtr behindWindow, WindowPtr *theWindow);
OSErr DoMoveWindow(WindowPtr theWindow, WindowPtr behindWindow);
Boolean IsZoomed(WindowPtr theWindow);
OSErr DoZoomWindow(WindowPtr theWindow, Boolean zoomed);
OSErr MakeNewWindow(ImageHandle theImage, Boolean first, Boolean autoExpand);
void ScaleRect(Rect *theRect, MonitorHandle theMonitor, Boolean full, Boolean autoExpand);
void MakeTitle(ImageHandle theImage, StringPtr theTitle);
void PositionWindow(Rect *theRect, MonitorHandle theMonitor);
Boolean SlotTaken(Rect *theRect);
Boolean ResizeWindow(ImageHandle theImage);
Boolean NudgeWindowRect(Rect *windowRect, MonitorHandle theMonitor);

#endif
