/*********************************************************/
/* This source code copyright (c) 1991-2001, Aaron Giles */
/* See the Read Me file for licensing information.       */
/* Contact email: mac@aarongiles.com                     */
/*********************************************************/

#define UseExtendedThingResource 1

#include "Types.r"
#include "SysTypes.r"
//#include "ImageCodec.r"

#define pnotComponentNeedsNoCache 2

#define kVersion 0x102
#define kJPEGViewVersion 0x330

#define displayPreviewComponent 'pnot'
#define kJPEGType 'JPEG'
#define kJFIFType 'JFIF'
#define kManufacturer 'ASGD'

#define rthngResource 4213
#define rthngResource2 4214
#define rNameResource 4213
#define rInfoResource 4214
#define r68kCode 4213
#define rPPCCode 4214

include "JFIFPreview.68k";
read displayPreviewComponent (4214) "JFIFPreview.ppc";

include "JFIFPreview.suppl.rsrc";

resource 'vers' (1) 
{
	(kVersion >> 8), kVersion & 0xff, final, 0x00,
	verUS,
	"1.0.2",
	"1.0.2  199294, Aaron Giles\n"
	"All Rights Reserved"
};

resource 'vers' (2) 
{
	(kJPEGViewVersion >> 8), kJPEGViewVersion & 0xff, final, 0x00,
	verUS,
	"3.3",
	"distributed with JPEGView 3.3"
};

resource 'thng' (rthngResource) 
{
	displayPreviewComponent, kJPEGType,
	kManufacturer,
	pnotComponentNeedsNoCache,
	0,
	displayPreviewComponent, rthngResource,
	'STR ', rNameResource,
	'STR ', rInfoResource,
	0, 0,
	
	0x00010001,
	componentHasMultiplePlatforms,
	128,
	{
		cmpWantsRegisterMessage, displayPreviewComponent, r68kCode, platform68k,
		cmpWantsRegisterMessage, displayPreviewComponent, rPPCCode, platformPowerPC
	}
};

resource 'thng' (rthngResource2) 
{
	displayPreviewComponent, kJFIFType,
	kManufacturer,
	pnotComponentNeedsNoCache,
	0,
	displayPreviewComponent, rthngResource,
	'STR ', rNameResource,
	'STR ', rInfoResource,
	0, 0,

	0x00010001,
	componentHasMultiplePlatforms,
	128,
	{
		pnotComponentNeedsNoCache, displayPreviewComponent, r68kCode, platform68k,
		pnotComponentNeedsNoCache, displayPreviewComponent, rPPCCode, platformPowerPC
	}
};

resource 'STR ' (rNameResource) 
{
	"JPEGView JFIF Preview Component";
};

resource 'STR ' (rInfoResource) 
{
	"Displays and extracts JFIF preview images (through version 1.01 of the JFIF spec)";
};

